Create new set or list

This endpoint allows the creation of a new set or list, with its properties and collection of fields.

Pass name, type and groupId as query parameters, and send the field definitions as a JSON array in the request body (with Content-Type: application/json).

Example: POST /api/createSet?name=Coating&type=set&groupId=3 with body [{"label": "Date", "type": "date", "format": "datetime", "required": true}]

Alternatively, the field definitions can be passed as a JSON string in a fields form or query parameter.

The user group of the user associated with the token is granted all permissions on the new set or list. This operation does not count towards the rate limit.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

Name of the set or list. Must not be empty.

string
enum
required

Type of the set, either set or list.

Allowed:
integer

Group ID. Required if type is set, and must be left out if type is list.

Body Params

The field definitions, as a JSON array. The fields are added to the set in this order and appear as form fields.

string
required

Human-readable title for the field.

string

Abbreviation for the field title.

string

Unit of measure for the field.

string

The field's test method.

string
enum
required

Type of field.

Allowed:
boolean
Defaults to false

Indicates if the field is required.

boolean

Whether the field is locked after receiving its first value.

boolean

Indicates whether the field should be configured as the index field. Applies to required select fields only.

string
enum

Specific format for date or numeric fields. This property is required for date or numeric fields.

Allowed:
boolean

Controls the appearance of text fields in forms. Applies to text fields only.

Note that this property is written in lowercase (multiline), unlike the multiLine property returned by getSetDefinition.

integer

Number of decimal places. Applies to numeric fields only.

number

Default value for the field. Applies to numeric fields only.

integer

ID of the selection list associated with a select field. Applies to select fields only.

string

Field name in the selection list identified by listId. The referenced fields needs to be required and of type text or numeric

boolean

Controls appearance of select fields, either radio buttons or dropdown. Applies to select fields only.

boolean

Whether the entire result should be locked upon sign-off. Applies to signature fields only.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json